commit:     1c0deaf76cbac8c31afa33873548fbed43365e0c
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  3 19:04:15 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Oct  3 19:13:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c0deaf7

dev-python/mccabe: add Python 3.9 support, fix setuptools dep.

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/mccabe/mccabe-0.6.1-r2.ebuild | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/dev-python/mccabe/mccabe-0.6.1-r2.ebuild 
b/dev-python/mccabe/mccabe-0.6.1-r2.ebuild
new file mode 100644
index 00000000000..2976411396e
--- /dev/null
+++ b/dev-python/mccabe/mccabe-0.6.1-r2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="flake8 plugin: McCabe complexity checker"
+HOMEPAGE="https://github.com/PyCQA/mccabe";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="amd64 arm hppa ~ia64 ~mips s390 sparc x86 ~amd64-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="dev-python/flake8[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -i -e '/pytest-runner/d' setup.py || die
+       distutils-r1_python_prepare_all
+}

Reply via email to